Bug 478303 - pre-Xmas rawhide axed X
pre-Xmas rawhide axed X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 12:11 EST by Jerry Amundson
Modified: 2009-02-10 10:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 10:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packages updated from rawhide (5.33 KB, text/plain)
2008-12-27 12:11 EST, Jerry Amundson
no flags Details
Picture of screen (1.81 MB, image/jpeg)
2008-12-27 12:17 EST, Jerry Amundson
no flags Details
diff of Xorg.0.log files, not working and working (2.88 KB, text/plain)
2009-01-11 01:37 EST, Jerry Amundson
no flags Details
Working X.org.log file (57.59 KB, text/plain)
2009-01-21 00:17 EST, Jerry Amundson
no flags Details
Not working X.org.log file (34.01 KB, text/plain)
2009-01-21 00:20 EST, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2008-12-27 12:11:41 EST
Created attachment 327886 [details]
packages updated from rawhide

Description of problem:
X startup is a mixture of black/white and a top line of red stuff.

Version-Release number of selected component (if applicable):
mesa-libGL-7.3-0.4.fc11.i386

How reproducible:
Always. KDM leaves the session, whereas GDM continuously restarts.

Steps to Reproduce:
1. updated from rawhide
2. boot
3.
  
Actual results:
Scrambled X video

Expected results:
Normal X login screen.

Additional info:
Sorry the component is incorrect. I had closed Bug 477712 the day before, as it was working prior to these updates.
Comment 1 Jerry Amundson 2008-12-27 12:17:58 EST
Created attachment 327887 [details]
Picture of screen
Comment 2 Jerry Amundson 2008-12-28 14:13:40 EST
I've confirmed that downgrading to these packages resolves this, and X starts normally:
glx-utils-7.3-0.2.fc11.i386.rpm         mesa-libGL-devel-7.3-0.2.fc11.i386.rpm
mesa-dri-drivers-7.3-0.2.fc11.i386.rpm  mesa-libGLU-7.3-0.2.fc11.i386.rpm
mesa-libGL-7.3-0.2.fc11.i386.rpm        mesa-libGLU-devel-7.3-0.2.fc11.i386.rpm
Comment 3 Jerry Amundson 2009-01-11 00:41:38 EST
Card is
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)

Changelog says:
> * Mon Dec 22 2008 Dave Airlie <airlied@redhat.com> 7.3-0.4                  
> - r300-bufmgr.patch: remove start/end offset properly + r500 FP             
>                                                                             
> * Sun Dec 21 2008 Dave Airlie <airlied@redhat.com> 7.3-0.3                  
> - r300-bufmgr.patch: make radeon/r200 work

Anything I can do to help?
Comment 4 Jerry Amundson 2009-01-11 01:37:36 EST
Created attachment 328652 [details]
diff of Xorg.0.log files, not working and working
Comment 5 Matěj Cepl 2009-01-20 06:01:04 EST
(In reply to comment #3)
> Anything I can do to help?

Complete logs would be probably helpful. Otherwise assigning to developers.
Comment 6 Jerry Amundson 2009-01-21 00:17:10 EST
Created attachment 329543 [details]
Working X.org.log file

Working X.org.log file. The big kahuna. The whole enchilada and nine yards.
Comment 7 Jerry Amundson 2009-01-21 00:20:17 EST
Created attachment 329545 [details]
Not working X.org.log file

Not working X.org.log file. It's anti-working. No go. The opposite of good.
Comment 8 Jerry Amundson 2009-02-10 10:27:14 EST
The latest update in rawhide, mesa-7.3-1, resolves this on the Dell Latitude D600's I'm using. Thanks!

Note You need to log in before you can comment on or make changes to this bug.